package com.yidianling.ydlcommon.custom.base

/**
 * author : Zhangwenchao
 * e-mail : zhangwch@yidianling.com
 * time   : 2018/05/09
 *
 * 基础数据管理类
 *
 */
interface BaseDataManager<out R: BaseRam, out L: BaseLocal, out H: BaseHttp> {

    fun getRam(): R

    fun getLocal(): L

    fun getHttp(): H
}